Skip to main content
GET
/
v1
/
businesses
/
{businessId}
/
time-tracking
/
time-entries
List time entries
curl --request GET \
  --url https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://sandbox.layerfi.com/v1/businesses/{businessId}/time-tracking/time-entries', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "service": {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "business_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "name": "<string>",
        "created_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z",
        "type": "com.layerfi.routers.ApiService",
        "external_id": "<string>",
        "account_identifier": {
          "type": "AccountId",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        },
        "ledger_account": {
          "type": "Single_Chart_Account",
          "id": {
            "type": "AccountId",
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
          },
          "name": "Current Assets",
          "account_number": "4000",
          "stable_name": {
            "type": "StableName",
            "stable_name": "CURRENT_ASSETS"
          },
          "account_type": {
            "display_name": "Asset"
          },
          "account_subtype": {
            "display_name": "Current Assets"
          }
        },
        "billable_rate_per_minute_amount": 123,
        "memo": "<string>",
        "metadata": {},
        "deleted_at": "2023-11-07T05:31:56Z"
      },
      "date": "2023-12-25",
      "duration_minutes": 123,
      "billable": true,
      "created_at": "2023-11-07T05:31:56Z",
      "updated_at": "2023-11-07T05:31:56Z",
      "type": "com.layerfi.routers.ApiTimeEntry",
      "external_id": "<string>",
      "customer": {
        "type": "CustomerData",
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "external_id": "31415926535",
        "individual_name": "<string>",
        "company_name": "<string>",
        "email": "<string>",
        "mobile_phone": "<string>",
        "office_phone": "<string>",
        "address_string": "<string>",
        "memo": "<string>",
        "status": "ACTIVE",
        "transaction_tags": [
          {
            "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "key": "ExampleTagKey",
            "value": "ExampleTagValue",
            "dimension_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "definition_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
            "dimension_display_name": "<string>",
            "value_display_name": "<string>",
            "archived_at": "2023-11-07T05:31:56Z"
          }
        ]
      },
      "description": "<string>",
      "invoice_line_item_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "memo": "<string>",
      "metadata": {},
      "deleted_at": "2023-11-07T05:31:56Z"
    }
  ],
  "meta": {
    "type": "request_metadata",
    "pagination": {
      "sort_by": "<string>",
      "cursor": "<string>",
      "has_more": true,
      "total_count": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

businessId
string<uuid>
required

The UUID of the business.

Query Parameters

cursor
string

Pagination cursor for fetching the next page of results.

limit
integer
default:100

Maximum number of results to return.

sort_order
enum<string>
default:DESC

Sort order for results.

Available options:
ASC,
DESC
include_deleted
boolean
default:false

Whether to include deleted time entries.

customer_id
string<uuid>

Filter by customer UUID.

has_customer
boolean

Filter entries that have (true) or do not have (false) a customer assigned.

service_id
string<uuid>

Filter by service UUID.

start_date
string<date>

Filter entries on or after this date (YYYY-MM-DD).

end_date
string<date>

Filter entries on or before this date (YYYY-MM-DD).

billable
boolean

Filter by billable status.

Response

200 - application/json

Success.

data
object[]
required
meta
object

Request metadata. Present on paginated list responses.